revu-build(1)

NAME
revu-build - Debian packages reviewing tool

SYNOPSIS
revu-build
[ --help | -h ] [ dsc file ]

DESCRIPTION
Debian packages reviewing tool.

revu-build is a reviewing tool from the revu-tools package, aimed to helping reviewers of Debian packages in their task. revu-build achieves a series of build tests using pbuilder, lintian and linda. It returns a series of reports in the current folder that can be used by revu-report to generate a full report.

Among the informations revu-build gives are:

•   Whether the package fails to build from source in pbuilder ;

•   Whether lintian and linda are happy with this package ;

•   Whether running debuild -S -sa on this package generates files in the diff outside of debian/.

OPTIONS

\FC--help | -h\F[]
    Show informations about the program and the usage.

\FCdsc file\F[]
    Indicate what dsc file to use. This is optional since revu-build can detect the dsc file automatically in the folder.

COPYRIGHT
Copyright © 2006 Raphaël Pinson.

This manual page was written by Raphaël Pinson <\FC<raphink@ubuntu.com>\F[]> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in \FC/usr/share/common-licenses/GPL\F[].